/*
Theme Name: Love Inc.
Template: celebrate
Version: 0.3.2.13
*/

@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

:root {
	accent-color: var(--wp--preset--color--primary);
	--wp--style--gallery-gap-default: var(--wp--custom--flex-gap--gallery);
	--wp--style--unstable-gallery-gap: var(--wp--custom--flex-gap--gallery);
	--color--secondary--light: hsl(from var(--wp--preset--color--secondary) h s calc(l + 9));
	--color--tertiary--light: hsl(from var(--wp--preset--color--tertiary) h s calc(l + 10));
	--color--octonary--light: hsl(from var(--wp--preset--color--octonary) h s calc(l + 7));
}

::selection {
	background-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--base);
}

::-moz-selection {
	background-color: var(--wp--preset--color--primary);
	color: var(--wp--preset--color--base);
}

input,
select,
textarea {
	font-family: var(--wp--preset--font-family--body-font);
}

.flickity-button {
	background: rgba(255,255,255,.4) !important;
	transition: .3s ease;
}

.flickity-prev-next-button {
	border-radius: 0 !important;
}

.flickity-button:hover {
	background: rgba(255,255,255,1) !important;
}

.celebrate-underline-text {
	text-decoration: underline;
}

.overflow-visible {
	overflow: visible;
}

.login-popup-trigger {
	cursor: pointer;
}

.login-popup-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.4);
	z-index: 998;
}

.login-popup {
	display: none;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 999;
	width: 900px;
}

.login-popup.is-active {
	display: block;
}

.rank-math-breadcrumb a {
	font-weight: 400 !important;
}

.rank-math-breadcrumb a:hover {
	color: var(--wp--preset--color--quinary);
}

.field-vendor_website a svg,
.celebrate-vendor-website.celebrate-is-icon:last-of-type a svg {
	display: none;
}

.field-vendor_website .celebrate-custom-field-return a:has(svg)::before {
	content: '';
	display: inline-block;
	width: 24px;
	height: 24px;
	background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" fill="%23000000" viewBox="0 0 256 256"><path d="M240,88.23a54.43,54.43,0,0,1-16,37L189.25,160a54.27,54.27,0,0,1-38.63,16h-.05A54.63,54.63,0,0,1,96,119.84a8,8,0,0,1,16,.45A38.62,38.62,0,0,0,150.58,160h0a38.39,38.39,0,0,0,27.31-11.31l34.75-34.75a38.63,38.63,0,0,0-54.63-54.63l-11,11A8,8,0,0,1,135.7,59l11-11A54.65,54.65,0,0,1,224,48,54.86,54.86,0,0,1,240,88.23ZM109,185.66l-11,11A38.41,38.41,0,0,1,70.6,208h0a38.63,38.63,0,0,1-27.29-65.94L78,107.31A38.63,38.63,0,0,1,144,135.71a8,8,0,0,0,16,.45A54.86,54.86,0,0,0,144,96a54.65,54.65,0,0,0-77.27,0L32,130.75A54.62,54.62,0,0,0,70.56,224h0a54.28,54.28,0,0,0,38.64-16l11-11A8,8,0,0,0,109,185.66Z"></path></svg>') no-repeat center;
	background-size: contain;
}

.celebrate-vendor-website.celebrate-is-icon:last-of-type a::before {
	content: '';
	display: inline-block;
	width: 18px;
	height: 18px;
	background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="%23000000" viewBox="0 0 256 256"><path d="M238,88.18a52.42,52.42,0,0,1-15.4,35.66l-34.75,34.75A52.28,52.28,0,0,1,150.62,174h-.05A52.63,52.63,0,0,1,98,119.9a6,6,0,0,1,6-5.84h.17a6,6,0,0,1,5.83,6.16A40.62,40.62,0,0,0,150.58,162h0a40.4,40.4,0,0,0,28.73-11.9l34.75-34.74A40.63,40.63,0,0,0,156.63,57.9l-11,11a6,6,0,0,1-8.49-8.49l11-11a52.62,52.62,0,0,1,74.43,0A52.83,52.83,0,0,1,238,88.18Zm-127.62,98.9-11,11A40.36,40.36,0,0,1,70.6,210h0a40.63,40.63,0,0,1-28.7-69.36L76.62,105.9A40.63,40.63,0,0,1,146,135.77a6,6,0,0,0,5.83,6.16H152a6,6,0,0,0,6-5.84A52.63,52.63,0,0,0,68.14,97.42L33.38,132.16A52.63,52.63,0,0,0,70.56,222h0a52.26,52.26,0,0,0,37.22-15.42l11-11a6,6,0,1,0-8.49-8.48Z"></path></svg>') no-repeat center;
	background-size: contain;
}

.entry-content p a {
	font-weight: 700;
}

@media (min-width: 1280px) and (max-width: 1620px) {
	.is-layout-constrained:not(.is-layout-constrained .is-layout-constrained)> :where(.alignwide) {
		max-width: min(var(--wp--custom--flex-width--mobile-constrained), var(--wp--style--global--content-size));
	}
}

@media (max-width: 1279px) {

	.loveinc-sticky-nav.is-stuck {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		z-index: 100;
		background-color: var(--wp--preset--color--base);
	}

	.loveinc-sticky-nav-placeholder {
		display: none;
	}

	.loveinc-sticky-nav-placeholder.is-active {
		display: block;
	}
}

@media (max-width: 767px) {
	.login-popup {
		width: 90%;
	}
}

.loveinc-sticky-nav.is-stuck {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	z-index: 100;
	background-color: var(--wp--preset--color--base);
}

.loveinc-sticky-nav-placeholder {
	display: none;
}

.loveinc-sticky-nav-placeholder.is-active {
	display: block;
}

.loveinc-progress-bar {
	display: block;
	height: 3px;
	width: 0%;
	background-color: var(--wp--preset--color--quinary);
	transition: width 50ms linear;
	position: relative;
	z-index: 101;
}

.single-wed_vendor #inquire,
.single-wed_venue #inquire {
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.4s ease;
}

.single-wed_vendor #inquire.is-open,
.single-wed_venue #inquire.is-open {
	max-height: 2000px;
}